﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:atom="http://purl.org/atom/ns#"
	xmlns:atoms="http://www.w3.org/2005/Atom"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	exclude-result-prefixes="dc atom">

	<xsl:template match="/">
	<xsl:apply-templates/>
	</xsl:template> 

		<xsl:template match="atoms:feed">
		<html xml:lang="ja" lang="ja">
		<head>
		<title><xsl:value-of select="atoms:title"/>の更新情報</title>
		<meta http-equiv="Content-Style-Type" conent="text/css"/>
		<link rel="stylesheet" href="skin/feed.css" type="text/css" />
		</head>
		<body>
		<h1><a><xsl:attribute name="href"><xsl:value-of select="//@href"/></xsl:attribute><xsl:value-of select="atoms:title"/></a></h1>
		<p id="update">最終更新日：<xsl:value-of select="atoms:updated"/></p>
		<xsl:apply-templates select="atoms:entry"/>
		</body>
		</html>
		</xsl:template>
	<xsl:template match="atoms:entry">
		<div class="section">
		<h2><a><xsl:attribute name="href"><xsl:value-of select="atoms:link/@href"/></xsl:attribute><xsl:value-of select="atoms:title"/></a></h2>
			<div class="description">
			<xsl:value-of select="atoms:summary"/>
			</div>
		<p class="category">カテゴリー：<xsl:value-of select="atoms:category/@term"/></p>
		<p class="date"><xsl:value-of select="atoms:updated"/></p>
		</div>
	</xsl:template>
</xsl:stylesheet>